CWIS Developer Documentation

- Home
- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
ControlledName Class Reference

Metadata type representing non-hierarchical controlled vocabulary values. More...

## Public Member Functions
| ControlledName ($NameId, $Name=NULL, $FieldId=NULL, $QualifierId="NULL", $VariantName=NULL)
| Class constructor. More...
| Status ()
| Check success of constructor. More...
| Id ()
| Get ID. More...
| Name ($NewValue=DB_NOVALUE)
| Get or set the controlled vocabulary term. More...
| VariantName ($NewValue=DB_NOVALUE)
| Get or set any variant terms for this controlled name . More...
| FieldId ($NewValue=DB_NOVALUE)
| Get or set the MetadataField associated with this term. More...
| QualifierId ($NewValue=DB_NOVALUE)
| Get or set the Qualifier associated with this term via ID. More...
| Variant ($NewValue=DB_NOVALUE)
| Get or set the controlled name variant. More...
| Qualifier ($NewValue=DB_NOVALUE)
| Get or set the Qualifier associated with this term via object. More...
| InUse ()
| See if ControlledName is currently associated with any Resources. More...
| RemapTo ($NewNameId)
| Change all currently associated Resources to be instead associated with another ControlledName. More...
| Delete ($DeleteIfHasResources=FALSE)
| Remove ControlledName (and any accompanying associations from database. More...

## Static Public Member Functions
static | SearchForControlledName ($ControlledName, $FieldId)
| Check if the given controlled name already exists for a given field ID. More...

## Public Attributes
Status Codes (set by constructor and retrieved via Status())
const | STATUS_OK = 0
| Successful execution. More...
const | STATUS_INVALID_ID = 1
| No ControlledName exists with specified ID. More...
const | STATUS_EXISTS = 2
| ControlledName already exists with this term. More...

## Detailed Description

Metadata type representing non-hierarchical controlled vocabulary values.

Hierarchical controlled vocabularies should use Classification.

Definition at line 14 of file ControlledName.php.

## Member Function Documentation

ControlledName::ControlledName | ( |  | $NameId,
|  |  | $Name = `NULL`,
|  |  | $FieldId = `NULL`,
|  |  | $QualifierId = `"NULL"`,
|  |  | $VariantName = `NULL`
| ) |  |

Class constructor.

This can be used both to access an existing controlled vocabulary term or to add a new term. For existing terms pass in just the ControlledName ID. To create a new term pass in NULL for the ID, and specify the term, the metadata field ID, and the qualifier ID (if any) and variant name (if any).

Parameters

  int | $NameId | ControlledName ID (NULL if creating new).
  string | $Name | New controlled vocabulary term. (OPTIONAL)
  int | $FieldId | ID of MetadataField for new term. (OPTIONAL)
  int | $QualifierId | ID of Qualifier for new term (if any). (OPTIONAL)
  string | $VariantName | Variant names for new term (if any). (OPTIONAL)

Definition at line 39 of file ControlledName.php.

References Id().

ControlledName::Delete | ( |  | $DeleteIfHasResources = `FALSE` | ) |

Remove ControlledName (and any accompanying associations from database.

This must be the last use of this object.

Parameters

  bool | $DeleteIfHasResources | Remove ControlledName even if Resources are currently associated with it. (OPTIONAL, defaults to FALSE)

Definition at line 300 of file ControlledName.php.

References Id(), and InUse().

ControlledName::FieldId | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get or set the MetadataField associated with this term.

Parameters

  int | $NewValue | ID of new MetadataField. (OPTIONAL)

Returns
  ID of associated MetadataField.

Definition at line 157 of file ControlledName.php.

ControlledName::Id | ( |  | ) |

Get ID.

Returns
  ControlledName ID.

Definition at line 134 of file ControlledName.php.

Referenced by ControlledName(), Delete(), InUse(), and RemapTo().

Here is the caller graph for this function:

ControlledName::InUse | ( |  | ) |

See if ControlledName is currently associated with any Resources.

Returns
  TRUE if associated with at least one Resource, otherwise FALSE.

Definition at line 246 of file ControlledName.php.

References Id().

Referenced by Delete().

Here is the caller graph for this function:

ControlledName::Name | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get or set the controlled vocabulary term.

Parameters

  string | $NewValue | New value for term. (OPTIONAL)

Returns
  Controlled vocabulary term.

Definition at line 141 of file ControlledName.php.

ControlledName::Qualifier | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get or set the Qualifier associated with this term via object.

Parameters

  Qualifier | $NewValue | New Qualifier. (OPTIONAL)

Returns
  Currently associated Qualifier.

Definition at line 181 of file ControlledName.php.

References DB_NOVALUE, and QualifierId().

ControlledName::QualifierId | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get or set the Qualifier associated with this term via ID.

Parameters

  int | $NewValue | ID of new Qualifier. (OPTIONAL)

Returns
  ID of currently associated Qualifier.

Definition at line 165 of file ControlledName.php.

Referenced by Qualifier().

Here is the caller graph for this function:

ControlledName::RemapTo | ( |  | $NewNameId | ) |

Change all currently associated Resources to be instead associated with another ControlledName.

Parameters

  int | $NewNameId | ID of ControlledName to remap resources to.

Definition at line 257 of file ControlledName.php.

References Id().

static ControlledName::SearchForControlledName | ( |  | $ControlledName,
|  |  | $FieldId
| ) |  |
| static

Check if the given controlled name already exists for a given field ID.

Parameters

  string | $ControlledName | controlled name
  int | $FieldId | field ID

Returns
  array matching controlled name IDs, if any

Definition at line 228 of file ControlledName.php.

ControlledName::Status | ( |  | ) |

Check success of constructor.

Returns
  Status code for constructor.

Definition at line 128 of file ControlledName.php.

ControlledName::Variant | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get or set the controlled name variant.

Parameters

  string | $NewValue | New value of the controlled name variant. (OPTIONAL)

Returns
  the current value of the controlled name variant.

Definition at line 173 of file ControlledName.php.

References VariantName().

ControlledName::VariantName | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get or set any variant terms for this controlled name .

Parameters

  string | $NewValue | New value for variant terms. (OPTIONAL)

Returns
  Variant term.

Definition at line 149 of file ControlledName.php.

Referenced by Variant().

Here is the caller graph for this function:

## Member Data Documentation

const ControlledName::STATUS_EXISTS = 2

ControlledName already exists with this term.

Definition at line 24 of file ControlledName.php.

const ControlledName::STATUS_INVALID_ID = 1

No ControlledName exists with specified ID.

Definition at line 22 of file ControlledName.php.

const ControlledName::STATUS_OK = 0

Successful execution.

Definition at line 20 of file ControlledName.php.

The documentation for this class was generated from the following file:

- objects/ControlledName.php